Package org.opensaml.saml.criterion

# Class EndpointCriterion<EndpointType extends Endpoint>

java.lang.Object
org.opensaml.saml.criterion.EndpointCriterion<EndpointType>

Type Parameters:
  `EndpointType` - the type of endpoint

All Implemented Interfaces:
  `Criterion`

public final class EndpointCriterion<EndpointType extends Endpoint> extends Object implements Criterion
`Criterion` representing a SAML metadata endpoint object.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final EndpointType`
`endpoint`
The endpoint.
`private final boolean`
`trusted`
Is this endpoint implicitly trusted?

## Constructor Summary

Constructors
Constructor
Description
`EndpointCriterion(EndpointType ep)`
Constructor.
`EndpointCriterion(EndpointType ep, boolean trust)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`EndpointType`
`getEndpoint()`
Get the endpoint.
`int`
`hashCode()`
`boolean`
`isTrusted()`
Get the trust indicator for the endpoint.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### trusted

private final boolean trusted
Is this endpoint implicitly trusted?

### endpoint

@Nonnull private final EndpointType extends Endpoint endpoint
The endpoint.

## Constructor Details

### EndpointCriterion

public EndpointCriterion(@Nonnull EndpointType ep)
Constructor.

Endpoint is not implicitly trusted.

Parameters:
  `ep` - the endpoint

### EndpointCriterion

public EndpointCriterion(@Nonnull EndpointType ep, boolean trust)
Constructor.

Parameters:
  `ep` - the endpoint
  `trust` - if true, the endpoint should be implicitly trusted regardless of verification by other criteria

## Method Details

### getEndpoint

@Nonnull public EndpointType getEndpoint()
Get the endpoint.

Returns:
  the endpoint type

### isTrusted

public boolean isTrusted()
Get the trust indicator for the endpoint.

Returns:
  true iff the endpoint does not require independent verification against a trusted source of endpoints

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`